package com.fuzamei.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fuzamei.dao.ContractManagementDao;
import com.fuzamei.entity.ContractRecord;
import com.fuzamei.entity.ContractStatusTracking;
import com.fuzamei.utils.PageDTO;

@Service
public class ContractManagementService {
	
	@Autowired
	private ContractManagementDao contractManagementDao;

	public PageDTO queryContractStatusTracking(Map<String, Object> map) {
		PageDTO pageDTO = new PageDTO();
		//分页信息
		List<ContractStatusTracking> list = contractManagementDao.queryContractStatusTracking(map);
		//查询符合map中条件的条数
		int count = contractManagementDao.findAllContractStatusTrackingInformation(map);
		pageDTO.setRows(list);
		pageDTO.setTotal(count);
		return pageDTO;
	}

	public PageDTO queryContractRecord(Map<String, Object> map) {
		PageDTO pageDTO = new PageDTO();
		//分页信息
		List<ContractRecord> list = contractManagementDao.queryContractRecord(map);
		//查询符合map中条件的条数
		int count = contractManagementDao.findAllContractRecordInformation(map);
		pageDTO.setRows(list);
		pageDTO.setTotal(count);
		return pageDTO;
	}

	public ContractStatusTracking getContractStatusTrackingByBusinessId(Integer businessId) {
		return contractManagementDao.getContractStatusTrackingByBusinessId(businessId);
	}

	public void uploadContractByUser(Map<String, Object> mapToService) {
		long currentTime = System.currentTimeMillis();
	}
}
